Package org.opensaml.soap.wssecurity

# Interface BinarySecurityToken

All Superinterfaces:
  `AttributedString`, `AttributeExtensibleXMLObject`, `EncodedString`, `IdBearing`, `WSSecurityObject`, `XMLObject`, `XSString`

All Known Implementing Classes:
  `BinarySecurityTokenImpl`

public interface BinarySecurityToken extends EncodedString
The <wsse:BinarySecurityToken> element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Qualified element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`VALUE_TYPE_ATTRIB_NAME`
The ValueType attribute name.

### Fields inherited from interface org.opensaml.soap.wssecurity.EncodedString

`ENCODING_TYPE_ATTRIB_NAME, ENCODING_TYPE_BASE64_BINARY`

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValueType()`
Returns the ValueType attribute URI value.
`void`
`setValueType(String newValueType)`
Sets the ValueType attribute URI value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.soap.wssecurity.EncodedString

`getEncodingType, setEncodingType`

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Qualified element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### VALUE_TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String VALUE_TYPE_ATTRIB_NAME
The ValueType attribute name.

See Also:
  - Constant Field Values

## Method Details

### getValueType

@Nullable String getValueType()
Returns the ValueType attribute URI value.

Returns:
  the ValueType attribute value or `null`.

### setValueType

void setValueType(@Nullable String newValueType)
Sets the ValueType attribute URI value.

Parameters:
  `newValueType` - the ValueType attribute value.